local MAJOR_VERSION = "LibXTags-1.0"
local MINOR_VERSION = 0001

local LibXTags = Rock:NewLibrary(MAJOR_VERSION, MINOR_VERSION)
--local XTags = {}
local self = LibXTags

LibXTags.tags = {
    sourceNameServer = "%[[sS][oO][uU][rR][cC][eE][sS][eE][rR][vV][eE][rR]%]", 
    					--[SourceServer]
    sourceName = "%[[sS][oO][uU][rR][cC][eE]%]",		--[Source]
    destNameServer = "%[[tT][aA][rR][gG][eE][tT]%][sS][eE][rR][vV][eE][rR]", 
    					--[TargetServer]
    destName = "%[[tT][aA][rR][gG][eE][tT]%]",			--[Target]
    amount = "%[[aA][mM][oO][uU][nN][tT]%]", 			--[Amount]
    school = "%[[sS][cC][hH][oO][oO][lL]%]",			--[School]
    spellName = "%[[sS][pP][eE][lL][lL]%]",				--[Spell]
    missType = "%[[mM][iI][sS][sS][tT][yY][pP][eE]%]",	--[MissType]
    auraType = "%[[aA][uU][rR][aA]%]",					--[Aura]
    --damageType = "%[type%]",
    --sourceName = "%[source%]",
  }


function LibXTags:GetString(eventInfo, eventString)

	s = eventString
	
	  -- looping tags is quicker than looping info (fewer keys)
	for key, value in pairs(LibXTags.tags) do
		if eventInfo[key] then
			s = string.gsub(s, value, eventInfo[key])
		else
			s = string.gsub(s, value, "unknown")
		end
	end
		
	return s
	-- 
	
end


function DebugStart()

	local s = "[[Amount]] from [Source] ([School])"
	
	local info = {
		amount = 879,
		sourceName = "OtherPlayer",
		school = "Fire"
	}
	
	print(LibXTags:GetString(info, s))

end

--DebugStart()


LibXTags:SetExportedMethods("GetString")

Rock:FinalizeLibrary(MAJOR_VERSION)